Package org.apache.axiom.util.stax.wrapper

# Class ImmutableXMLInputFactory

java.lang.Object
javax.xml.stream.XMLInputFactory
org.apache.axiom.util.stax.wrapper.XMLInputFactoryWrapper
org.apache.axiom.util.stax.wrapper.ImmutableXMLInputFactory

public class ImmutableXMLInputFactory extends XMLInputFactoryWrapper
Wraps an `XMLInputFactory` so that its state can no longer be changed. The state includes the properties as well as the `XMLEventAllocator`, `XMLReporter` and `XMLResolver` instances configured on the factory.

- ## Field Summary

  ### Fields inherited from class javax.xml.stream.XMLInputFactory

  `ALLOCATOR, IS_COALESCING, IS_NAMESPACE_AWARE, IS_REPLACING_ENTITY_REFERENCES, IS_SUPPORTING_EXTERNAL_ENTITIES, IS_VALIDATING, REPORTER, RESOLVER, SUPPORT_DTD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImmutableXMLInputFactory(XMLInputFactory parent)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setEventAllocator(XMLEventAllocator allocator)`
  `void`
  `setProperty(String name, Object value)`
  `void`
  `setXMLReporter(XMLReporter reporter)`
  `void`
  `setXMLResolver(XMLResolver resolver)`

  ### Methods inherited from class org.apache.axiom.util.stax.wrapper.XMLInputFactoryWrapper

  `createFilteredReader, createFilteredReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLEventReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, createXMLStreamReader, getEventAllocator, getProperty, getXMLReporter, getXMLResolver, isPropertySupported`

  ### Methods inherited from class javax.xml.stream.XMLInputFactory

  `newDefaultFactory, newFactory, newFactory, newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImmutableXMLInputFactory

    public ImmutableXMLInputFactory(XMLInputFactory parent)
    Constructor.
    Parameters:
      `parent` - the parent factory

- ## Method Details

  - ### setEventAllocator

    public void setEventAllocator(XMLEventAllocator allocator)
    Overrides:
      `setEventAllocator` in class `XMLInputFactoryWrapper`

  - ### setProperty

    public void setProperty(String name, Object value) throws IllegalArgumentException
    Overrides:
      `setProperty` in class `XMLInputFactoryWrapper`
    Throws:
      `IllegalArgumentException`

  - ### setXMLReporter

    public void setXMLReporter(XMLReporter reporter)
    Overrides:
      `setXMLReporter` in class `XMLInputFactoryWrapper`

  - ### setXMLResolver

    public void setXMLResolver(XMLResolver resolver)
    Overrides:
      `setXMLResolver` in class `XMLInputFactoryWrapper`